> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offer_payout_tiers.md).

# Offer Payout Tiers

***Based on different payout tiers, you can assign different affiliates to the corresponding tiers, and every affiliate can be only assigned to one tier. When editing offer, you can set a unique payout to different tiers. Affiliates will take the related payout tiers to promote their offers.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                              | Description                               |
| ---------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- |
| **Create** |             |                                                                                                                                                       |                                           |
|            | POST        | [/v1/offer\_payout\_tiers](/api-documentation/networkapi/offer_payout_tiers/create_an_offer_payout_tier.md)                                           | Create an offer payout tier               |
|            | POST        | [/v1/offer\_payout\_tiers/{tier\_id}/affiliates/{affiliate\_ids}](/api-documentation/networkapi/offer_payout_tiers/add_affiliates_to_tier.md)         | Add affiliates to tier                    |
| **Update** |             |                                                                                                                                                       |                                           |
|            | PUT         | [/v1/offer\_payout\_tiers/{tier\_id}](/api-documentation/networkapi/offer_payout_tiers/update_an_offer_payout_tier.md)                                | Update an offer payout tier               |
| **Get**    |             |                                                                                                                                                       |                                           |
|            | GET         | [/v1/offer\_payout\_tiers](/api-documentation/networkapi/offer_payout_tiers/get_the_offer_payout_tier.md)                                             | Get the offer payout tier                 |
|            | GET         | [/v1/offer\_payout\_tiers/{tier\_id}](/api-documentation/networkapi/offer_payout_tiers/get_an_offer_payout_tier.md)                                   | Get an offer payout tier                  |
|            | GET         | [/v1/offer\_payout\_tiers/{tier\_id}/affiliates](/api-documentation/networkapi/offer_payout_tiers/get_an_offer_payout_tier_of_the_affiliate.md)       | Get an offer payout tier of the affiliate |
| **Delete** |             |                                                                                                                                                       |                                           |
|            | DELETE      | [/v1/offer\_payout\_tiers/{tier\_id}](/api-documentation/networkapi/offer_payout_tiers/delete_an_offer_payout_tier.md)                                | Delete an offer payout tier               |
|            | DELETE      | [/v1/offer\_payout\_tiers/{tier\_id}/affiliates/{affiliate\_id}](/api-documentation/networkapi/offer_payout_tiers/delete_an_affiliate_of_the_tier.md) | Delete an affiliate of the tier           |
|            | DELETE      | [/v1/offer\_payout\_tiers/{tier\_id}/affiliates](/api-documentation/networkapi/offer_payout_tiers/delete_all_affiliates_of_the_tier.md)               | Delete all affiliates of the tier         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offer_payout_tiers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
